Dynamics User Group - Archived Forums

The forums in this section of DUG are no longer accepting new post, but you can still get lots of value from the old posts here.
Please visit the active forums to comment/post new questions (choose which product you are interested in):


Migrar DB NF o NM 2.60 a MBS Navision 3.70A

Acabo de encontrar este foro y me parece que esta bien!!

Estamos migrando unas BD's que s encuentra en NF y NM a MBS Navision 3.70A, las guias de migracion que contiene el disco de instalacion de son insuficientes, no nos dan alguna solucion en caso de que encontremos problemas o surgan errores no contenplados en las guias!!


Alguien podria ayudarme para poder realizar una correcta migacion de version???

Se los agradeceria!! Saludos
  • Hola David,

    para encontrar información básica sobre la migración que intentas realizar te recomiendo que busques información en el forum en ingles, porque muchos temas en este sentido ya han sido tratados ampliamente. Puedes buscar por el temino "migration" y vas a encontrar mucha información.
    Para tu migración será necesario primero pasar de la 2.60 a la 3.60 y despues de la 3.60 a la 3.70. Tambien es importante contemplar el tema de la localización para México, porque me imagino que están trabajando con una versión W1 (internacional) la cual no tendrá en cuenta temas especiales de Mexico.

    Finalmente, si encuentras errores o inconvenientes, aqui tendrás el espacio necesario para obtener respuestas Wink

    Saludos
    Nils
  • Saludos!!


    Bueno ya lei los mensajes de los foros en Ingles, por lo que lei, se necesita hacer una serie de migraciones dependiendo de la version de donde partimos para migrar!!

    Ademas mencionan que al migrar a la version 3.60 solo debemos considerar los objetos personalizados de la BD.

    Bueno voy a intentar realizar la migracion siguiendo los consejos de los otros foros.

    Pero aun me quedan dudas. Por ejemplo, por que no se puede hacer una migracion directa de la version NF o NM 2.60 a MBS 3.70A?

    Bye
  • quote:
    Por ejemplo, por que no se puede hacer una migracion directa de la version NF o NM 2.60 a MBS 3.70A?


    La razón son las modificaciones y/o ampliaciones de funcionalidad entre versiones, por lo cual Microsoft debería sacar un "Upgrade-Toolkit" de cada version a cada version, lo que sería un trabajo demasiado extenso. Por tal motivo, los Upgrade Toolkits presentan ciertas restricciones en este sentido, y no cubren las versiones más antiguas, como la 2.6 que ya lleva varios años en el mercado.

    Saludos
    Nils
  • Saludos otra vez!!

    Gracias por los comentarios, sin duda alguna se aprende mucho por estos lugares! Bueno ya intente pasar de la version 2.60 a la version 3.60 antes de pasar a la 3.70.

    Sigo obteniendo muchos errores, mi licencia esta correcta tiene lo que necesito! Esto lleva mucho tiempo, de todas formas gracias y voy a seguir intentando.

    De que otra forma se puede hacer el cambio de version, en caso de que las herramientas upgrade sigan sacando errores y sin perdida de datos ?
  • Saludos a todos los del foro!!!

    Sigo realizando la mejora de la BD de la version 2.60E a la 3.70A, segun los manuales del Developer's Toolkit ya obtengo una version base de objetos combinados, ahora esta version debo importala dentro de la version 3.70A, pero al momento de realizar esto se intentan crear nuevos campos el error que obtengo es que no puedo crear algunos campos los cuales tienen numeros de ID entre 1 y 5999.

    Como puedo resolver este problema?

    Probe con una solucion que consiste en importar el objeto desde una version estandar y posteriormente importar la version combinada. En algunos casos funciona en otros no! Precisamente por los numeros de ID de algunos campos en las tablas!

    Ojala puedan ayudarme!!
Related